function [z_P]=zacatek_P(SWCpt,p_P,fvz,org)
 
z_P=[];
for i=1:length(p_P)
    k=0;
   while  (p_P(i)-k)>0 && abs(SWCpt(p_P(i)-k))>abs(SWCpt(p_P(i)+1-k))
       k=k+1;
   end
   k=k+2;

        while (p_P(i)-k)>0 && SWCpt(p_P(i)-k)<0 && abs((SWCpt(p_P(i)-k))-(SWCpt(p_P(i)+1-k)))>10
            k=k+1;
        end

     
    for j=1:3
           
        while p_P(i)-2-k>0 && (abs(org(j,p_P(i)-k))-abs(org(j,p_P(i)-2-k))>5) 
            k=k+1;
        end
        p(j,i)=p_P(i)-k;
        
        
    end
        if p(1,i)<p(2,i)&& p(1,i)<p(3,i)
            z_P=[z_P p(1,i) ];
        elseif p(2,i)<p(3,i)&& p(2,i)<p(1,i)
            z_P=[z_P p(2,i) ];
        else
            z_P=[z_P p(3,i) ];
        end
end
